Package org.eclipse.microprofile.config.tck.converters.implicit

# Class ConvTestTypeWCharSequenceParse

java.lang.Object
org.eclipse.microprofile.config.tck.converters.implicit.ConvTestTypeWCharSequenceParse

public class ConvTestTypeWCharSequenceParse extends Object
Part of the implicit Converter test. Sample class which has a parse(CharSequence) constructor

Author:
  Mark Struberg

## Constructor Summary

Constructors
Constructor
Description
`ConvTestTypeWCharSequenceParse()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getVal()`
`static ConvTestTypeWCharSequenceParse`
`parse(CharSequence val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvTestTypeWCharSequenceParse

public ConvTestTypeWCharSequenceParse()

## Method Details

### parse

public static ConvTestTypeWCharSequenceParse parse(CharSequence val)

### getVal

public String getVal()